<template>
  <layout-default>
    <h1>Modèles de news</h1>
    <!-- ############ INCLUDES MODULES ############ -->
    <liste-news v-if="id == null"></liste-news>
    <news-detail v-if="id"></news-detail>
  </layout-default>
</template>
<script>
import ListeNews from "@/components/AppPopupNews/liste.vue";
import NewsDetail from "@/components/AppPopupNews/newsDetail.vue";
import LayoutDefault from "@/layouts/LayoutDefault.vue";
// ############ IMPORT MODULES ############ -->
export default {
  components: {
    "layout-default": LayoutDefault,
    "liste-news": ListeNews,
    "news-detail": NewsDetail
  },
  mounted: function() {
    this.id = this.$route.params.id;
  },
  data() {
    return {
      id: null
    };
  }
};
</script>
